perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mahesh Khambadkone" <mah...@games2win.com>
Subject RE: Using mod_perl on Vista - get Error - Can't load Perl module ModPerl::Registry
Date Mon, 01 Jun 2009 15:27:45 GMT
Thanks for the revert.

I'm running Apache 2.2.x and perl-5.10.0, using binary build 1104 of
ActiveState.

1)	Yes, the ppm package was taken from 
     http://cpan.uwinnipeg.ca/PPMPackages/10xx/mod_perl.ppd, as per
instructions at
http://perl.apache.org/docs/2.0/os/win32/install.html#PPM_Packages, and I
specified that the mod_perl.so be installed at c:\mod_perl.

2)	Yes, my .conf file includes a loadfile before the LoadModule :

LoadFile "D:/Perl/bin/perl510.dll"
LoadModule perl_module "C:/mod_perl/mod_perl.so"


I used c:\mod_perl as per http://perl.apache.org/docs/2.0/rename.html.

In anycase, I went ahead and uninstalled mod_perl, reinstalling directly
into c:\apache\modules, but I still get the same error.





-----Original Message-----
From: Randy Kobes [mailto:randy.kobes@gmail.com] 
Sent: 01 June 2009 19:54
To: Mahesh Khambadkone
Cc: modperl@perl.apache.org
Subject: Re: Using mod_perl on Vista - get Error - Can't load Perl module
ModPerl::Registry

On Mon, Jun 1, 2009 at 12:32 AM, Mahesh Khambadkone
<mahesh@games2win.com> wrote:
> The config sample you sent now allows my Apache to start-up, but I get an
> error.
>
> 1)      The config sample I was using was taken from the mod_perl
> Developer's Cookbook - Recipe 2.2 Using Apache Registry. I guess a lot of
> the other examples there will be buggy !

I don't think one can conclude they're buggy, as there's still
problems with your setup, as described below.

> 2)      The new error I get is when the Perl script is actually run :
>
> Can't load 'D:/Perl/site/lib/auto/Apache2/ServerUtil/ServerUtil.dll' for
> module Apache2::ServerUtil: load_file:The specified procedure could not be
> found at D:/Perl/lib/XSLoader.pm line 64.\n
> at D:/Perl/site/lib/Apache2/XSLoader.pm line 31\n
> Compilation failed in require at
D:/Perl/site/lib/ModPerl/RegistryCooker.pm
> line 30.\n
> BEGIN failed--compilation aborted at
> D:/Perl/site/lib/ModPerl/RegistryCooker.pm line 30.\n
> Compilation failed in require at (eval 6) line 3.\n
>        ...propagated at D:/Perl/lib/base.pm line 93.\n
> BEGIN failed--compilation aborted at D:/Perl/site/lib/ModPerl/Registry.pm
> line 26.\n
> Compilation failed in require at (eval 5) line 3.\n
>
> The ServerUtil.dll file does exist.

There's a couple of things to check:

- if you're running Apache 2.2.x and perl-5.10, the relevant mod_perl
ppm package to install is
     http://cpan.uwinnipeg.ca/PPMPackages/10xx/mod_perl.ppd
Was that installation successful, including installation of
mod_perl.so under your Apache modules subdirectory?

- Does having a directive in your httpd.conf to load the perl510.dll, like
   LoadFile "/Path/to/your/Perl/bin/perl510.dll"
help? This should go before the
   LoadModule perl_module modules/mod_perl.so
directive which loads mod_perl.so.

-- 
best regards,
Randy


Mime
View raw message